#!/bin/dash

mount / -oremount,rw
mount --bind /ro/var /var

echo "\n\n--- mise à jour de "$(cat /etc/hostname)" ---\n" >> /mnt/logMAJ.txt


#
# phase 1: mise à jours des paquets
#

dpkg -i -R -G -E /mnt/malinuxMAJ/deb
cerr=$?
if [ $cerr -eq 0 ]; then
echo "OK: La mise à jour des paquets à réussi " >> /mnt/logMAJ.txt
else 
echo "ERREUR: L'erreur $cerr à eu lieu lors de la mise à jour des paquets " >> /mnt/logMAJ.txt
fi

if ! [ -f /ro/var/malinuxVersion.txt ]; then
echo 1.00 > /ro/var/malinuxVersion.txt
fi

majFaite=0;

while true; do
case $(cat /ro/var/malinuxVersion.txt) in
"1.00" )
	sh /mnt/malinuxMAJ/1.10/faireMAJ.sh
	majFaite=1
;;
"1.10" )
break
;;
* )
echo "ERREUR: numéro de version" $(cat /ro/var/malinuxVersion.txt) "inconnu" >> /mnt/logMAJ.txt
halt
exit
;;
esac
done

if [ $majFaite -eq 0 ]; then 
echo $(cat /etc/hostname)" est déjà à la dernière version disponible, aucune mise à jour n'à été faite" >> /mnt/logMAJ.txt
fi

halt
